$desktop-logo-size: (
  // first slide
  'sber': 25%,
  'pochta': 15.7%,
  'ings': 28.3%,
  'vtb': 14.2%,
  'bud': 23.6%,
  'hennessy': 13.8%,
  'lawsons': 12.8%,
  // second slide
  'barley': 15.3%,
  'lays': 8.15%,
  'pepsi': 20.2%,
  'evian': 13.5%,
  'danone': 24%,
  'volgadnepr': 35%,
  'dellin': 50%,
  // third slide
  'vw': 37%,
  'magnit': 41.5%,
  'mts': 30.5%,
  'mir': 27%,
  'avito': 27%
);

.client {
  @extend .main-container;
  padding: 5rem 0;
  box-sizing: border-box;
  margin-bottom: 5rem;

  &__list {
    @include reset-list;
    @include size(100%, 100%);
    padding: 0 1rem;
    box-sizing: border-box;

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
  }

  &__item {
    width: 20%;
    margin: 2.5rem 0 5rem;
    filter: grayscale(1);
    transition: 0.3s ease;

    &:hover {
      filter: grayscale(0);
      transition: 0.3s ease;
    }

    @each $logo in map-keys($desktop-logo-size) {
      &.#{$logo}_logo {
        width: map-get($desktop-logo-size, #{$logo});
      }
    }
  }

  &__logo {
    @include size(100%, 100%);
    object-fit: contain;
    object-position: center;
  }
}

// TABLET
@include tablet {
  .client {
    padding: {
      right: 2rem;
      left: 2rem;
    }
  }
}

// PHONE
$phone-logo-size: (
  // first slide
  'sber': 28%,
  'pochta': 28%,
  'vtb': 28%,
  'ings': 100%,
  'bud': 45%,
  'hennessy': 45%,
  'lawsons': 45%,
  'barley': 45%,
  // second slide
  'lays': 15%,
  'pepsi': 35%,
  'evian': 35%,
  'danone': 35%,
  'volgadnepr': 60%,
  'dellin': 100%,
  // third slide
  'vw': 100%,
  'magnit': 45%,
  'mts': 45%,
  'mir': 45%,
  'avito': 45%
);
@include phone {
  .client {
    padding: 0;

    &__item {
      filter: none;
      margin: 0 0 1.5rem;

      @each $logo in map-keys($phone-logo-size) {
        &.#{$logo}_logo {
          width: map-get($phone-logo-size, #{$logo});
        }
      }
    }
  }
}
